max_connections = 500
autovacuum_naptime = 20s
bgwriter_delay = 20ms
bgwriter_lru_multiplier = 4.0
bgwriter_lru_maxpages = 400
commit_delay = 1000
shared_buffers = 6GB
effective_cache_size = 16GB
maintenance_work_mem = 2GB
checkpoint_completion_target = 0.9
wal_buffers = 16MB
default_statistics_target = 500
random_page_cost = 1.1
effective_io_concurrency = 2
from_collapse_limit = 20
join_collapse_limit = 20
max_files_per_process = 8000
max_locks_per_transaction = 512
min_wal_size = 4GB
max_wal_size = 16GB
max_worker_processes = 6
max_parallel_workers_per_gather = 3
max_parallel_workers = 6
max_parallel_maintenance_workers = 3
shared_preload_libraries = 'online_analyze, plantuner, pg_stat_statements'
online_analyze.table_type = none

#------------------------------------------------------------------------------
#Параметры для платформы 1С:Предприятия
#------------------------------------------------------------------------------
standard_conforming_strings = off
escape_string_warning = off
min_wal_size = 1GB
max_wal_size = 2GB
row_security = off
ssl = off
synchronous_commit = off
temp_buffers = 256MB
work_mem = 32MB

#------------------------------------------------------------------------------
# REPORTING AND LOGGING
#------------------------------------------------------------------------------
logging_collector = on                  # Enable capturing of stderr, jsonlog,
                                        # and csvlog into log files. Required
                                        # to be on for csvlogs and jsonlogs.
                                        # (change requires restart)

# These are only used if logging_collector is on:
log_directory = 'pg_log'                    # directory where log files are written,
                                         # can be absolute or relative to PGDATA
log_filename = 'postgresql-%a.log'       # log file name pattern,
                                         # can include strftime() escapes
log_rotation_size = 0                   # Automatic rotation of logfiles will
                                        # happen after that much log output.
                                        # 0 disables.
log_file_mode = 0644                    # creation mode for log files,
                                        # begin with 0 to use octal notation
log_truncate_on_rotation = on           # If on, an existing log file with the
                                        # same name as the new log file will be
                                        # truncated rather than appended to.
                                        # But such truncation only occurs on
                                        # time-driven rotation, not on restarts
                                        # or size-driven rotation.  Default is
                                        # off, meaning append to existing files
                                        # in all cases.

log_checkpoints = off

